
From: Andreas Gruenbacher <agruen@suse.de>

On Wed, 2005-03-02 at 09:53, Andrew Morton wrote:
> Aurélien Francillon <aurel@naurel.org> wrote:
> > [...]
> > cvs diff Makefile 
> >              cvs diff: cannot create read lock in repository 
> > `/mnt/iseran/roca/cvsroot/ldpc': No such file or directory
> > cvs [diff aborted]: read lock failed - giving up
> > 
> > but the file is created and i can "cat " it without problem ...

This fixes it:

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfs/nfs3proc.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN fs/nfs/nfs3proc.c~nfsacl-acl-umask-handling-workaround-in-nfs-client-fix fs/nfs/nfs3proc.c
--- 25/fs/nfs/nfs3proc.c~nfsacl-acl-umask-handling-workaround-in-nfs-client-fix	2005-03-02 08:49:59.000000000 -0800
+++ 25-akpm/fs/nfs/nfs3proc.c	2005-03-02 08:49:59.000000000 -0800
@@ -423,6 +423,9 @@ exit:
 		if (!inode)
 			goto out;
 		status = nfs3_set_default_acl(dir, inode, mode);
+		if (status)
+			goto out;
+		return inode;
 	}
 out:
 	return ERR_PTR(status);
_
